---@meta

---@class UVehicle_EngineAudio_C : UVehicleComponent
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Owner AAVS_Vehicle_C
---@field EngineAudio UAudioComponent
---@field EngineStartSound USoundBase
---@field EngineSound USoundCue
---@field Initialized boolean
---@field HighRPM double
---@field EngineStartAudio UAudioComponent
---@field StartTimerTemp FTimerHandle
---@field ['Engine Attentuation'] USoundAttenuation
---@field EngineRunning boolean
---@field MSSEngineSound UMetaSoundSource
---@field ['MSS_Engine Attentuation'] USoundAttenuation
---@field ['As BP Vehicle Base'] ABP_VehicleBase_C
local UVehicle_EngineAudio_C = {}

function UVehicle_EngineAudio_C:StopEngineSounds() end
---@param EngineRunning boolean
function UVehicle_EngineAudio_C:SetEngineRunning(EngineRunning) end
function UVehicle_EngineAudio_C:PlayIgnition() end
---@param PlayingSoundWave USoundWave
---@param PlaybackPercent float
function UVehicle_EngineAudio_C:PlaybackFade(PlayingSoundWave, PlaybackPercent) end
function UVehicle_EngineAudio_C:StopSound() end
---@param NewPassive boolean
function UVehicle_EngineAudio_C:ChangePassiveState(NewPassive) end
function UVehicle_EngineAudio_C:ReceiveBeginPlay() end
---@param DeltaSeconds float
function UVehicle_EngineAudio_C:ReceiveTick(DeltaSeconds) end
---@param IsEngineRunning boolean
function UVehicle_EngineAudio_C:CustomEvent(IsEngineRunning) end
function UVehicle_EngineAudio_C:ClearStartTimer() end
---@param EntryPoint int32
function UVehicle_EngineAudio_C:ExecuteUbergraph_Vehicle_EngineAudio(EntryPoint) end


